%define major			0
%define libmpfi			%mklibname %{name} %{major}
%define libmpfi_devel		%mklibname %{name} -d
%define libmpfi_static_devel	%mklibname %{name} -d -s

Name:		mpfi
Group:		Sciences/Mathematics
License:	LGPL
Summary:	Interval arithmetic multi-precision based on GMP and MPFR
Version:	1.5.3
Release:	%mkrel 1
Source:		http://gforge.inria.fr/frs/download.php/file/37331/%{name}-%{version}.tar.xz
URL:		http://gforge.inria.fr/projects/mpfi/

BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(mpfr)

%description
MPFI is a C library for interval arithmetic multi-precision based on
the GMP and MPFR libraries.

%package	-n %{libmpfi}
Summary:	lib%{name} dynamic library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description	-n %{libmpfi}
lib%{name} dynamic library. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%package	-n %{libmpfi_devel}
Summary:	lib%{name} libraries, includes, etc
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libmpfi} = %{version}-%{release}

%description	-n %{libmpfi_devel}
lib%{name} libraries, includes, etc. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%package	-n %{libmpfi_static_devel}
Summary:	lib%{name} static libraries
Group:		Development/Libraries
Provides:	%{name}-static-devel = %{version}-%{release}

%description	-n %{libmpfi_static_devel}
lib%{name} static libraries. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x
%make_build

%install
%make_install

%files		-n %{libmpfi}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files		-n %{libmpfi_devel}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_infodir}/*

%files		-n %{libmpfi_static_devel}
%{_libdir}/*.a


%changelog
* Mon Jan 06 2020 tex - 1.5.3-1pclos2020
- create
